(* Control-/Status word *)
FUNCTION_BLOCK FB_SikoAp20CswPos
	////////////////////////////////////////////////////////////////////////////////////
	// Name: FB_SikoAp20CswPos
	////////////////////////////////////////////////////////////////////////////////////
	// Version history
	////////////////////////////////////////////////////////////////////////////////////
	// Date        | Vers. 		| created               | Author          | Remark
	// dd.mm.yyyy  |       		| with                  |                 | 
	// ---------------------------------------------------------------------------------
	// 07.02.2019  | 0.01.00	| AS V4.3.3.196		   	| SIKO GmbH / ch  | alpha
	// 21.05.2019  | 1.00.00	| AS V4.3.3.196		    | SIKO GmbH / ch  | first release
	////////////////////////////////////////////////////////////////////////////////////
	
	////////////////////////////////////////////////////////////////////////////////////
	// status word
	//
	bs00_DirIndicationCW := DC_Com.bs00;
	bs01_DirIndicationCCW := DC_Com.bs01;
	bs02_CalExec := DC_Com.bs02;
	bs03_TarWinExtReached := DC_Com.bs03;
	// bs04: Reserved
	bs05_TarWinReached := DC_Com.bs05;
	bs06_Deviation := DC_Com.bs06;
	bs07_GeneralError := DC_Com.bs07;
	// bs08: Reserved
	bs09_IncMeasurement := DC_Com.bs09;
	bs10_TargetValueState := DC_Com.bs10;
	bs11_BatteryState := DC_Com.bs11;
	bs12_SensorError := DC_Com.bs12;
	bs13_KeyConfiguration := DC_Com.bs13;
	bs14_KeyCalibration := DC_Com.bs14;
	bs15_KeyIncremental := DC_Com.bs15;
	
	///////////////////////////////////////////////////////////////////////////////////////////////
	// control word
	//
	DC_Com.bc00 := bc00_Cal;
	DC_Com.bc01 := 0; // Reserved, ever 0
	DC_Com.bc02 := 0; // Reserved, ever 0
	DC_Com.bc03 := bc03_DisplayRange;
	DC_Com.bc04 := 0; // Reserved, ever 0
	DC_Com.bc05 := bc05_ErrorAck;
	DC_Com.bc06 := 0; // Reserved, ever 0
	DC_Com.bc07 := 0; // Reserved, ever 0
	DC_Com.bc08 := 0; // Reserved, ever 0
	DC_Com.bc09 := bc09_TargetValueActive;
	DC_Com.bc10 := 0; // Reserved, ever 0
	DC_Com.bc11 := bc11_Led1Green;
	DC_Com.bc12 := bc12_Led1Red;
	DC_Com.bc13 := bc13_Led2Green;
	DC_Com.bc14 := bc14_Led2Red;
	DC_Com.bc15 := bc15_LedBlinking;
END_FUNCTION_BLOCK
